Estado de la flota de impresión
POST /api/print-jobs/get-fleet-status
Descripción
Retorna las impresoras del restaurante con el estado de su estación y su actividad.
Detalles
Devuelve todas las impresoras agrupables por estación, con la última conexión de cada estación, cuántos trabajos tienen en cola y cuándo imprimieron por última vez. Es la vista de monitoreo del estado de la impresión en tiempo casi real.
Permisos requeridos
admin.module
Request
Este endpoint no recibe parámetros.
Ejemplo de request
curl -X POST https://app.restofy.co/api/print-jobs/get-fleet-status \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <accessToken>"
Los valores son demo: reemplázalos por datos reales del negocio.
Ejemplo de respuesta
Actualizado: 2026-07-15T13:20:48Z
HTTP 200
Request
[]
Response
{
"success": true,
"message": "Operación realizada correctamente",
"data": {
"printers": [
{
"printerId": 1,
"printerUuid": "ecb3b0ae-a414-4ab8-9947-b22c0c39665d",
"name": "Comandera adm 6a57890e21af9",
"deviceName": "POS-58",
"printWidthMm": 80,
"isActive": 1,
"stationUuid": "f7c11f77-bb4d-4759-8a66-463d19cce40d",
"stationName": "Estacion adm 6a57890dde087",
"stationLastSeenAt": null,
"pendingCount": 1,
"lastPrintedAt": null
},
{
"printerId": 2,
"printerUuid": "c17027ab-b245-4732-a05a-0e96fd2e0f67",
"name": "Comandera adm 6a57890f08dff",
"deviceName": "POS-58",
"printWidthMm": 80,
"isActive": 1,
"stationUuid": "349f1911-5d3e-485b-ba76-6f66d033772f",
"stationName": "Estacion adm 6a57890ecbdc0",
"stationLastSeenAt": null,
"pendingCount": 1,
"lastPrintedAt": null
},
{
"printerId": 3,
"printerUuid": "ddd06f7e-22fe-4913-a5dc-5d840d5d64f2",
"name": "Comandera adm 6a57890fcc002",
"deviceName": "POS-58",
"printWidthMm": 80,
"isActive": 1,
"stationUuid": "63171212-a641-4241-be3f-e4d0add42cb9",
"stationName": "Estacion adm 6a57890fa09e5",
"stationLastSeenAt": null,
"pendingCount": 0,
"lastPrintedAt": null
},
{
"printerId": 4,
"printerUuid": "50efae4b-7fec-44a8-bf33-576f80bb2da5",
"name": "Comandera adm 6a5789109fe56",
"deviceName": "POS-58",
"printWidthMm": 80,
"isActive": 1,
"stationUuid": "e20674f8-981e-4137-be93-8a5ac82c5728",
"stationName": "Estacion adm 6a5789106d015",
"stationLastSeenAt": null,
"pendingCount": 1,
"lastPrintedAt": null
},
{
"printerId": 5,
"printerUuid": "8e7bd187-25fc-485c-9e6e-4b18d1d8d939",
"name": "Comandera adm 6a578911d62e2",
"deviceName": "POS-58",
"printWidthMm": 80,
"isActive": 1,
"stationUuid": "f374c744-e76c-426d-bc75-c48853a9f148",
"stationName": "Estacion adm 6a578911ab37c",
"stationLastSeenAt": null,
"pendingCount": 0,
"lastPrintedAt": null
}
]
}
}